List:General Discussion« Previous MessageNext Message »
From:Scott Haneda Date:August 8 2008 11:07am
Subject:Re: Anyone know what to do about OS X 10.5 PPC
View as plain text  
I think I got this worked out, you can use the 10.4 installer for OS X  
on PPC.  Use the 32 bit one for G4, and the 64 bit one for G5, or you  
can still use the 32 bit one on the G5 if you want to.

Just install the app, do not install the startup item or the prefpane,  
they do not work, and need modifying.  Since this is a server, you  
want it to run all the time anyway, so I see no need for on demand.

The repaired prefpane I have seen, still uses a StartUp Item, which is  
deprecated as of 10.4 as far as I know.

Solution:
in /Library/LaunchDaemons
create com.mysql.mysqld.plist

Contents should be:
(END) <?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/Pr
opertyList-1.0.dtd">
<plist version="1.0">
<dict>
    <key>Disabled</key>
    <false/>
    <key>GroupName</key>
    <string>_mysql</string>
    <key>KeepAlive</key>
    <true/>
    <key>Label</key>
    <string>com.mysql.mysqld</string>
    <key>Program</key>
    <string>/usr/local/mysql/bin/mysqld</string>
    <key>ProgramArguments</key>
    <array>
        <string>--user=_mysql</string>
        <string>--lower_case_table_names=2</string>
    </array>
    <key>RunAtLoad</key>
    <true/>
    <key>Umask</key>
    <integer>7</integer>
    <key>UserName</key>
    <string>_mysql</string>
    <key>WorkingDirectory</key>
    <string>/usr/local/mysql</string>
</dict>
</plist>

I am not sure about the array item for lower_case_table_names, but I  
know OS X is case insensitive, so I know forcing a 0 would be bad, and  
not sure about a 1, but the 2 is set with a warning anyway, so I just  
wanted the warning out of my logs.

now in terminal just type
sudo launchctl load com.mysql.mysqld.plist
mysql will start, you can use unload to stop it.

It will start back up again after a reboot, or even a crash, it will  
start back up again.

The default php install on 10.5 is junk, and needs a lot of messing  
with to get to work, so I am still looking for a way to solve that  
right now.

> I can not find a pkg installer for OS X 10.5 on PPC, any  
> suggestions?  Would I want the 64 or 32 bit version of this as well?
>
> I also need to know a simple php 5 installer that works on 10.5 for  
> PPC, I am growing very tired of building that one out all the time,  
> and Entropy seems to have fallen off the planet.
>
> Thanks

--
Scott
talklists@stripped

Thread
Anyone know what to do about OS X 10.5 PPCScott Haneda8 Aug
  • Re: Anyone know what to do about OS X 10.5 PPCScott Haneda8 Aug